VOS_ONLINE(1)

NAME
vos_online - Brings a volume online

SYNOPSIS
vos online -server <machine name> -partition <partition name>
    -id <volume name or ID> [-bless] [-cell <cell name>]
    [-noauth] | -localauth] [-verbose] [-encrypt] [-help]

DESCRIPTION
The vos online command brings an offline volume on line with the fileserver.

CAUTIONS
None.

OPTIONS

-server <machine name>
    Identifies the file server machine where the volume resides. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see vos(1).

-partition <partition name>
    Identifies the partition where the volume resides, on the file server machine named by the -server argument. Provide the partition's complete name with preceding slash (for example, "/vicepa") or use one of the three acceptable abbreviated forms. For details, see vos(1).

-id <volume name or ID>
    Specifies either the complete name or volume ID number of the volume.

-bless
    If the volume resides on a fileserver running as a dafs (Demand Attach File Server), then the volume may be marked as blessed or unblessed. A dafs server will not bring unblessed volumes online unless the -bless option to vos_online is specified. See vos_offline(1) for setting a volume to be unblessed.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following example brings an offline volume online:

   % vos online -server sv7.stateu.edu -partition /vicepb -id root.afs

The following example brings an offline, unblessed volume online:

   % vos online -server sv7.stateu.edu -partition /vicepb -id root.afs -bless

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser "root".

SEE ALSO
vos(1), vos_offline(1), bos_salvage(8),

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This man page was created by Steven Jenkins.